package com.lqkj.cmlcp.module.api.controller;

import com.alibaba.fastjson2.JSONArray;
import com.lqkj.cmlcp.message.Result;
import com.lqkj.cmlcp.module.api.domain.ApiInfo;
import com.lqkj.cmlcp.module.api.service.ApiInfoService;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;


@RestController
@Tag(name = "产品配置接口", description = "产品配置接口")
@RequestMapping("/api")
public class ApiInfoController {

    @Autowired
    private ApiInfoService apiInfoService;


    @PostMapping("/saveApi")
    public Result saveConfig(@RequestBody ApiInfo apiInfo) {
        apiInfoService.saveApi(apiInfo);
        return Result.ok();
    }

    @GetMapping("/getAll")
    public Result getConfig(@RequestParam(required = false, defaultValue = "") String name,
                            @RequestParam() Integer type) {
        return Result.ok(apiInfoService.findAll(name, type));
    }

    @PostMapping("/delete")
    public Result delete(@RequestParam List<Integer> ids) {
        apiInfoService.delete(ids);
        return Result.ok();
    }

    @GetMapping("/getApi")
    public Result getApi(@RequestParam Integer id) {
        return Result.ok(apiInfoService.findById(id));
    }

    /**
     * 导入excel
     * @param file
     * @return
     */
    @PostMapping("/importExcel")
    public Result importApi(@RequestParam("file") MultipartFile file) {
        apiInfoService.importExcel(file);
        return Result.ok();
    }

    @PostMapping ("/postTest")
    public Result PostTest(@RequestBody ApiInfo apiInfo) {
        String str = "[{'label': '全彩5456屏','value': 71},{'label': '双基色屏','value': 81},{'label': '简易屏','value': 57},{'label': '条形屏','value': 3}]";
        ApiInfo apiInfo1 = new ApiInfo();
        apiInfo1.setData(JSONArray.parse(str));
        return Result.ok(apiInfo1);
    }

    @GetMapping("/getTest")
    public Result GetTest(@RequestParam String name) {
        String str = "[{'label': '全彩5456屏','value': 71},{'label': '双基色屏','value': 81},{'label': '简易屏','value': 57},{'label': '条形屏','value': 3}]";
        ApiInfo apiInfo1 = new ApiInfo();
        apiInfo1.setData(JSONArray.parse(str));
        return Result.ok(apiInfo1);
    }

    @GetMapping("/getTest2")
    public Result GetTest2() {
        String str = "[\n" +
                "\t{\n" +
                "\t\t\"label\": \"测试333\",\n" +
                "\t\t\"value\": 61\n" +
                "\t},\n" +
                "\t{\n" +
                "\t\t\"label\": \"齐\",\n" +
                "\t\t\"value\": 5\n" +
                "\t},\n" +
                "\t{\n" +
                "\t\t\"label\": \"楚\",\n" +
                "\t\t\"value\": 7\n" +
                "\t},\n" +
                "\t{\n" +
                "\t\t\"label\": \"赵\",\n" +
                "\t\t\"value\": 76\n" +
                "\t},\n" +
                "\t{\n" +
                "\t\t\"label\": \"燕\",\n" +
                "\t\t\"value\": 10\n" +
                "\t},\n" +
                "\t{\n" +
                "\t\t\"label\": \"韩\",\n" +
                "\t\t\"value\": 9\n" +
                "\t},\n" +
                "\t{\n" +
                "\t\t\"label\": \"魏\",\n" +
                "\t\t\"value\": 22\n" +
                "\t}\n" +
                "]";
        ApiInfo apiInfo1 = new ApiInfo();
        apiInfo1.setData(JSONArray.parse(str));
        return Result.ok(apiInfo1);
    }


}
