package com.lqkj.cmlcp.module.api.repository;

import com.lqkj.cmlcp.module.api.domain.ApiInfo;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ApiInfoRepository extends JpaRepository<ApiInfo, Integer> {


    @Query(nativeQuery = true,
            value = "select * from api_info t where t.type = :type " +
            "and (:name = '' or t.name like concat('%', :name, '%'))")
    List<ApiInfo> findAllByType(@Param("name") String name, @Param("type") Integer type);
}
