package com.lqkj.cmlcp.module.authority.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.persistence.*;
import lombok.*;
import lombok.experimental.Accessors;


import java.util.Date;
import java.util.List;

@Entity
@Table(name = "role_info")
@Accessors(chain = true)
@Data(staticConstructor = "create")
@NoArgsConstructor
@AllArgsConstructor
public class RoleInfo {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Schema(description = "角色ID")
    private Integer roleId;

    @Schema(description = "角色名称")

    @Column(name = "role_name")
    private String roleName;

    @Column(name = "en_name")
    private String enName;

    @Column(name = "update_time")
    @JsonFormat(pattern = "YYYY-MM-dd HH:mm:ss", timezone = "Asia/Shanghai")
    private Date updateTime;

    @Transient
    private List<Integer> authorityList;

    @Transient
    private String auths;
}
