package com.lqkj.cmlcp.module.authority.service;

import com.lqkj.cmlcp.module.authority.domain.RoleInfo;
import org.springframework.data.domain.Page;

import java.util.List;
import java.util.Map;

public interface RoleInfoService {

    /**
     * 获取所有角色
     * @return
     */
    List<RoleInfo> allRoles();


    /**
     * 获取角色分页
     * @param roleName
     * @param page
     * @param pageSize
     * @return
     */
    Page<RoleInfo> pageQuery(String roleName, Integer page, Integer pageSize);

    /**
     * 获取角色详情接口
     * @param roleId
     * @return
     */
    RoleInfo detail(Integer roleId);


    /**
     * 角色保存接口
     * @param roleInfo
     * @return
     */
    String save(RoleInfo roleInfo);


    /**
     * 获取权限树
     * @param userCode
     * @return
     */
    List<Map<String, Object>> queryAuthTree(String userCode);

    /**
     * 删除角色
     * @param roleIds
     * @return
     */
    String delete(List<Integer> roleIds);
}
