package com.lqkj.cmlcp.module.config.domain;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Entity
@Table(name = "config_info")
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
public class ConfigInfo {
    @Id
    @Column(name = "id")
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    @Column(name = "server_address")
    @Schema(description = "服务地址")
    private String serverAddress;

    @Column(name = "map_token")
    @Schema(description = "参数类型")
    private String mapToken;

    @Column(name = "map_id")
    @Schema(description = "地图id")
    private String mapId;

    @Column(name = "map_style_id")
    @Schema(description = "地图样式id")
    private String mapStyleId;

    @Column(name = "ue_stream_address")
    @Schema(description = "ue像素流地址")
    private String ueStreamAddress;

    @Column(name = "ue_h5_address")
    @Schema(description = "ueh5地址")
    private String ueH5Address;

    @Column(name = "scene_id")
    @Schema(description = "场景id")
    private String sceneId;

}


