package com.lqkj.cmlcp.module.zone.controller;


import com.lqkj.cmlcp.message.Result;
import com.lqkj.cmlcp.module.zone.domain.ProjectInfo;
import com.lqkj.cmlcp.module.zone.service.ProjectInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 项目信息管理
 */
@RestController
@RequestMapping("/project")
public class ProjectInfoController {


    @Autowired
    private ProjectInfoService projectInfoService;

    @PostMapping("/pageQuery")
    public Result pageQuery(@RequestParam(required = false, defaultValue = "") String projectName,
                            @RequestParam(required = false, defaultValue = "0") Integer page,
                            @RequestParam(required = false, defaultValue = "10") Integer pageSize){

        return Result.ok(projectInfoService.pageQuery(projectName, page, pageSize));
    }

    @PostMapping("/save")
    public Result save(@RequestBody ProjectInfo projectInfo){
        projectInfoService.save(projectInfo);
        return Result.ok();
    }


    @PostMapping("/delete")
    public Result delete(@RequestBody List<Integer> ids){
        projectInfoService.delete(ids);
        return Result.ok();
    }

    /**
     * 获取回收站列表
     * @param name
     * @return
     */
    @PostMapping("/getRBList")
    public Result getRBList(@RequestParam(required = false) String name){
        return Result.ok(projectInfoService.getRBList(name));
    }

    /**
     * 恢复
     * @param ids
     * @return
     */
    @PostMapping("/restore")
    public Result restore(@RequestBody List<Integer> ids){
        projectInfoService.restoxre(ids);
        return Result.ok();
    }

}
