package com.lqkj.cmlcp.module.zone.controller;

import com.lqkj.cmlcp.message.Result;
import com.lqkj.cmlcp.module.zone.domain.ZoneInfo;
import com.lqkj.cmlcp.module.zone.service.ZoneInfoService;
import jakarta.servlet.http.HttpServletRequest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;


/**
 * 态势/作品信息管理
 */
@RestController
@RequestMapping("/zone")
public class ZoneInfoController {

    @Autowired
    private ZoneInfoService zoneInfoService;


    @PostMapping("/save")
    public Result save(@RequestBody ZoneInfo zoneInfo, HttpServletRequest request) {

        zoneInfoService.save(zoneInfo);
        return Result.ok();
    }

    @PostMapping("/pageQuery")
    public Result pageQuery(@RequestParam(required = false, defaultValue = "") String name,
                            @RequestParam(required = false, defaultValue = "0") Integer page,
                            @RequestParam(required = false, defaultValue = "10") Integer pageSize) {

        return Result.ok(zoneInfoService.pageQuery(name, page, pageSize));
    }

    @PostMapping("/delete")
    public Result delete(@RequestParam List<Integer> ids) {
        zoneInfoService.delete(ids);
        return Result.ok();
    }

    /**
     * 根据项目id获取态势/作品
     */
    @PostMapping("/getList")
    public Result getList(@RequestParam Integer projectId) {
        return Result.ok(zoneInfoService.getList(projectId));
    }

    /**
     * 根据id获取态势/作品
     * @param id
     * @return
     */
    @PostMapping("/getZone")
    public Result getZone(@RequestParam Integer id) {
        return Result.ok(zoneInfoService.findById(id));
    }
}
