package com.lqkj.cmlcp.module.zone.domain;


import com.fasterxml.jackson.annotation.JsonFormat;
import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.hibernate.annotations.SQLDelete;
import org.hibernate.annotations.Where;

import java.util.Date;

@Entity
@Table(name = "project_info")
@Accessors(chain = true)
@Data()
@NoArgsConstructor
@AllArgsConstructor
@SQLDelete(sql = "UPDATE project_info SET is_delete = true WHERE id = ?")
@Where(clause = "is_delete = false")
public class ProjectInfo{


    @Id
    @Column(name = "id")
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 项目名称
     */
    @Column(name = "project_name")
    private String projectName;

    /**
     * 缩略图
     */
    @Column(name = "thumbnail")
    private String thumbnail;

    /**
     * 是否删除
     */
    @Column(name = "is_delete", columnDefinition = "boolean default false")
    private Boolean isDelete;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "YYYY-MM-dd HH:mm:ss", timezone = "Asia/Shanghai")
    private Date createTime;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "YYYY-MM-dd HH:mm:ss", timezone = "Asia/Shanghai")
    private Date updateTime;
}
