package com.lqkj.cmlcp.module.zone.repository;

import com.lqkj.cmlcp.module.zone.domain.ProjectInfo;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public interface ProjectInfoRepository extends JpaRepository<ProjectInfo, Integer> {

    @Query(nativeQuery = true,
            value = "select * from project_info t where t.is_delete = false " +
                    "and (:projectName = '' or project_name like concat('%', :projectName, '%')) order by update_time DESC ")
    Page<ProjectInfo> pageQuery(@Param("projectName") String projectName, PageRequest pageRequest);

    ProjectInfo findByProjectName(String projectName);

    /**
     * 获取回收站列表
     * @param projectName
     * @return
     */
    @Query(nativeQuery = true,
            value = "select * from project_info t where t.is_delete = true " +
                    "and (:projectName = '' or project_name like concat('%', :projectName, '%'))")
    List<ProjectInfo> getRBList(@Param("projectName") String projectName);

    /**
     * 恢复项目
     * @param ids
     */
    @Modifying
    @Query(nativeQuery = true,
            value = "update project_info set is_delete = false where id in :ids")
    void restoxre(@Param("ids") List<Integer> ids);
}
