package com.lqkj.cmlcp.module.zone.repository;

import com.lqkj.cmlcp.module.zone.domain.ZoneInfo;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Component;

@Component
public interface ZoneInfoRepository extends JpaRepository<ZoneInfo, Integer> {


    @Query(nativeQuery = true,
            value = "select * from zone_info t where t.is_delete = false " +
            "and (:name = '' or zone_name like concat('%', :name, '%')) order by update_time DESC ")
    Page<ZoneInfo> pageQuery(@Param("name") String name, PageRequest pageRequest);

    ZoneInfo findByZoneNameAndProjectId(String zoneName, Integer projectId);
}
